Get Display & LED Settings
curl --request GET \
--url https://app.plugchoice.com/api/v3/chargers/{charger}/settings/display-led \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.plugchoice.com/api/v3/chargers/{charger}/settings/display-led"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.plugchoice.com/api/v3/chargers/{charger}/settings/display-led', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fields": [
{
"key": "<string>",
"label": "<string>",
"type": "<string>",
"value": "<string>",
"min": 123,
"max": 123
}
]
}Settings
Get Display & LED Settings
GET
/
v3
/
chargers
/
{charger}
/
settings
/
display-led
Get Display & LED Settings
Returns the current display and LED settings for the specified charger.
The UUID of the charger.
Response
A list of configurable display and LED settings.
Show field
Show field
The setting key identifier (e.g.,
LightIntensity).A human-readable label for the setting.
The value type (e.g.,
integer, boolean).The current value of the setting.
The minimum allowed value (for numeric types).
The maximum allowed value (for numeric types).
⌘I